Skip to main content
POST
/
v1
/
w3s
/
transactions
/
validateAddress
Validate an address
curl --request POST \
  --url https://api.circle.com/v1/w3s/transactions/validateAddress \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350",
  "blockchain": "MATIC-AMOY"
}
'
import requests

url = "https://api.circle.com/v1/w3s/transactions/validateAddress"

payload = {
"address": "0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350",
"blockchain": "MATIC-AMOY"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350',
blockchain: 'MATIC-AMOY'
})
};

fetch('https://api.circle.com/v1/w3s/transactions/validateAddress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "isValid": true
  }
}
{
"code": 123,
"message": "<string>"
}
{
"code": 401,
"message": "Malformed authorization."
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Body

application/json

Validate address request

address
string
required

Blockchain generated unique identifier, associated with wallet (account), smart contract or other blockchain objects.

Example:

"0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350"

blockchain
enum<string>
required

The blockchain network that the resource is to be created on or is currently on.

Available options:
ETH,
ETH-SEPOLIA,
AVAX,
AVAX-FUJI,
MATIC,
MATIC-AMOY,
SOL,
SOL-DEVNET,
ARB,
ARB-SEPOLIA,
NEAR,
NEAR-TESTNET,
EVM,
EVM-TESTNET,
UNI,
UNI-SEPOLIA,
BASE,
BASE-SEPOLIA,
OP,
OP-SEPOLIA,
APTOS,
APTOS-TESTNET,
ARC-TESTNET,
MONAD,
MONAD-TESTNET
Example:

"MATIC-AMOY"

Response

Address validated

data
object
required